library IEEE;
use IEEE.std_logic_1164.all;

entity FSMD_stim is
end FSMD_stim;

architecture Test of FSMD_stim is
  component FSMD
  port( a        : in STD_LOGIC_VECTOR(3 downto 0);
        c, start : in STD_LOGIC;
        volumen  : out STD_LOGIC_VECTOR(11 downto 0);
        ready    : out STD_LOGIC);
  end component;

  component clock
    port (c      : OUT STD_LOGIC);
  end component;

  signal c_test, start_test, ready_test : STD_LOGIC;
  signal a_test : STD_LOGIC_VECTOR(3 downto 0);
  signal volumen_test : STD_LOGIC_VECTOR(11 downto 0);

begin
  FSMD_test : FSMD port map (
     a_test, c_test, start_test, volumen_test, ready_test
  );
  
  myClock: clock port map (c_test);


  a_test  <= "0010" after 0 ns,
             "0011" after 500 ns,
             "1111" after 1000 ns;
  
  start_test <= '1' after 10 ns,

                '0' after 21 ns,
		
                '1' after 510 ns,
                '0' after 521 ns,
                '1' after 1010 ns,
                '0' after 1021 ns;
end Test;
